FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109030220.p0.git.1b824fa.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202109030220.p0.git.1b824fa.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1b824fa OS_GIT_VERSION=4.6.0-202109030220.p0.git.1b824fa.assembly.stream-1b824fa SOURCE_DATE_EPOCH=1626191908 SOURCE_GIT_COMMIT=1b824fa0da19e64522b76e1d568dfd58fba13b6b SOURCE_GIT_TAG=1b824fa SOURCE_GIT_URL=https://github.com/openshift/elasticsearch-proxy 
WORKDIR  /go/src/github.com/openshift/elasticsearch-proxy
COPY . .
RUN make

FROM openshift/ose-base:v4.6.0.20210903.023232
ENV __doozer=update BUILD_RELEASE=202109030220.p0.git.1b824fa.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202109030220.p0.git.1b824fa.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1b824fa OS_GIT_VERSION=4.6.0-202109030220.p0.git.1b824fa.assembly.stream-1b824fa SOURCE_DATE_EPOCH=1626191908 SOURCE_GIT_COMMIT=1b824fa0da19e64522b76e1d568dfd58fba13b6b SOURCE_GIT_TAG=1b824fa SOURCE_GIT_URL=https://github.com/openshift/elasticsearch-proxy 
COPY --from=builder /go/src/github.com/openshift/elasticsearch-proxy/bin/elasticsearch-proxy /usr/bin/
ENTRYPOINT ["/usr/bin/elasticsearch-proxy"]

LABEL \
        io.k8s.display-name="OpenShift ElasticSearch Proxy" \
        io.k8s.description="OpenShift ElasticSearch Proxy component of OpenShift Cluster Logging" \
        name="openshift/ose-elasticsearch-proxy" \
        com.redhat.component="ose-elasticsearch-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Logging" \
        release="202109030220.p0.git.1b824fa.assembly.stream" \
        io.openshift.build.commit.id="1b824fa0da19e64522b76e1d568dfd58fba13b6b" \
        io.openshift.build.source-location="https://github.com/openshift/elasticsearch-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/elasticsearch-proxy/commit/1b824fa0da19e64522b76e1d568dfd58fba13b6b" \
        version="v4.6.0"

